{---------------------------------------------------------------}
{            TableCurve 3D Pascal Code Output                   }
{       To modify generated output, edit PASCAL.TCL             }
{---------------------------------------------------------------}


{$IFDEF CPU87}
  {$N+,E-}     { 10 byte extended real, 80x87 in-line }
{$ELSE}
  {$N+,E+}     { 10 byte extended real, emulation on }
{$ENDIF}

type
  real  = extended;

var
  x,y,z      : real;
  st         : string[80];
  i,j        : integer;

type
  coef= array[0..80] of real;
  ar12= array[0..12] of real;
  ar70= array[0..70] of real;




{---------------------------------------------------------------}
function eqn6208503 (x,y: real) :real;
{---------------------------------------------------------------}
{ TableCurve 3D }
{ File Source= p:\daten\tablecurv\an neue rezeptur (oat)\annsiede.prn }
{ Date= May 9, 2012 }
{ Time= 9:21:35 AM }
{ Data Set= P:\DATEN\TABLECURV\AN neue Rezeptur (OAT)\annsiede.prn }
{ X=  }
{ Y=  }
{ Z=  }
{ Eqn#= 6208503}
{ Eqn= z=a+by+cylny+de^(y/wy)+ey^(0.5)lny+fy/lny+gy^(0.5) }
{ r2=0.9998450150601728 }
{ r2adj=0.9995737914154752 }
{ StdErr=0.3263520348477111 }
{ Fstat=5376.033181971544 }
{ a= -11186.32361256645 }
{ b= 1324.521139729997 }
{ c= -156.635148260772 }
{ d= 11286.32361446112 }
{ e= -925.0119953870285 }
{ f= -1750.496128867714 }
{ g= 1290.798258946228 }
var  z : real;
var  f1,f2,f3,f4,f5,f6 : real;
begin
  f1 := y;
  f2 := y*Ln(y);
  f3 := Exp(y/197.3096426262260998);
  f4 := Sqrt(y)*Ln(y);
  f5 := y/Ln(y);
  f6 := Sqrt(y);
  z := -11186.32361256645083+1324.521139729997273*f1
    -156.6351482607720287*f2+11286.32361446111688*f3
    -925.0119953870285069*f4-1750.496128867713759*f5
    +1290.798258946227912*f6;
  eqn6208503 := z;
end;

{---------------------------------------------------------------}

begin
  i := 1;
  repeat
    Writeln('Enter X: ');
    Readln(st);
    if(Length(st)=0) then i:=0 else Val(st,x,j);
    Writeln('Enter Y: ');
    Readln(st);
    if(Length(st)=0) then i:=0 else Val(st,y,j);
    if i=1 then
    begin
      z := eqn6208503(x,y);
      Str(z:27:18,st);
      Writeln('Z= ',st);
    end;
  until i=0;
end.
